﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace WindowAndRestrictedArea
{
	public partial class MainPage : UserControl
	{
		RadWindow window;
		public MainPage()
		{
			InitializeComponent();

			(window = new RadWindow { Width = 200, Height = 200, Header = "Some window", IsRestricted = true, RestrictedAreaMargin = GetMargin() }).Show();
		}

		private Thickness GetMargin()
		{
			return new Thickness(0, (this.IsRibbonVisible() ? RibbonPlaceHolder.ActualHeight : 0) + 20, 0, 0);
		}

		private bool IsRibbonVisible()
		{
			return RibbonPlaceHolder.Visibility == Visibility.Visible;
		}

		private void OnShowHideClick(object sender, RoutedEventArgs e)
		{
			RibbonPlaceHolder.Visibility = this.IsRibbonVisible() ? Visibility.Collapsed : Visibility.Visible;
			window.RestrictedAreaMargin = GetMargin();

			var state = window.WindowState;
			window.WindowState = state == WindowState.Maximized ? WindowState.Normal : WindowState.Maximized;
			window.WindowState = state;
		}
	}
}
